aura_env.timer = 0
aura_env.totalTicks = 6
aura_env.player = UnitGUID("player")
aura_env.tick = ReactiveValue.new(0)
aura_env.statee = ReactiveValue.new(0)
-- Say...
-- 0 - none
-- 1 - channeling

aura_env.statee:onChange(function(newstate)
	-- print("newstate ".. newstate)
	if newstate == 1 then
		-- print("resetting ticks")
		aura_env.tick:set(0)
	end
end)
aura_env.tick:onChange(function(ticks)
	-- print("ticks " .. ticks)
	if ticks > 0 then
		if ticks == aura_env.totalTicks - 1 then
			-- WeakAuras.ScanEvents("PLAY_SOUND", "Interface\\AddOns\\WeakAuras\\Media\\Sounds\\RobotBlip.ogg")
			PlaySoundFile("Interface\\AddOns\\WeakAuras\\Media\\Sounds\\RobotBlip.ogg", "Master")
			-- elseif ticks == aura_env.totalTicks - 2 then
			-- 	-- WeakAuras.ScanEvents("PLAY_SOUND", "Interface\\AddOns\\WeakAuras\\Media\\Sounds\\WaterDrop.ogg")
			-- 	PlaySoundFile("Interface\\AddOns\\WeakAuras\\Media\\Sounds\\WaterDrop.ogg", "Master")
		end
	end
end)
